<?php

declare(strict_types=1);

namespace App\Policies;

use App\Models\Log;
use App\Models\User;

final class LogPolicy
{
    /**
     * Determine whether the user can view any logs.
     */
    public function viewAny(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the user can view the log.
     */
    public function view(User $user, Log $log): bool
    {
        return true;
    }

    /**
     * Determine whether the user can create logs.
     */
    public function create(User $user): bool
    {
        return false;
    }

    /**
     * Determine whether the user can update the log.
     */
    public function update(User $user, Log $log): bool
    {
        return false;
    }

    /**
     * Determine whether the user can delete the log.
     */
    public function delete(User $user, Log $log): bool
    {
        return false;
    }

    /**
     * Determine whether the user can restore the log.
     */
    public function restore(User $user, Log $log): bool
    {
        return false;
    }

    /**
     * Determine whether the user can permanently delete the log.
     */
    public function forceDelete(User $user, Log $log): bool
    {
        return false;
    }
}
